# $Revision: 1.3 $, $Date: 2008-01-16 18:40:44 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Time
%define	pnam	Progress
Summary:	Time::Progress - Elapsed and estimated finish time reporting
Summary(pl.UTF-8):	Time::Progress - informowanie o minionym i oczekiwanym czasie zakończenia operacji
Name:		perl-Time-Progress
Version:	1.3
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	708cdb258dcf756104c0d7b1892d0298
URL:		http://search.cpan.org/dist/Time-Progress/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::Progress reports elapsed and estimated finish time. Shortest
time interval that can be measured is 1 second (This should be
fixed in the future perhaps).

%description -l pl.UTF-8
Time::Progress informuje o mimionym i oczekiwanym czasie zakończenia
operacji. Najkrótszy mierzony czas to 1 sekunda (być może zostanie to
poprawione w przyszłości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Time/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Progress.spec,v $
Revision 1.3  2008-01-16 18:40:44  agaran
- up to 1.3, rel 1, builds here

Revision 1.2  2007-03-16 09:16:26  qboosh
- pl, generic URL

Revision 1.1  2007/03/05 11:52:59  agaran
- initial
